export interface IUserData {
    id?: string;
    name?: string;
    avatar?: string;
    status?: 'online' | 'away' | 'dnd';
    typing?: boolean;
    outputMuted?: number;
    renderer?: string;
    platform?: string;
    revision?: string;
    version?: string;
    buildno?: number;
}
export interface IMessagePayload {
    text: string;
}
export interface IPokePayload {
    text: string;
}
export interface IRPCPayload {
    method: string;
    args?: any[];
}
export interface IMessageTransferFormat {
    kind: 'poke' | 'message' | 'rpc';
    payload: IPokePayload | IMessagePayload | IRPCPayload;
    isPrivate?: boolean;
}
