import { IChatMessage, IUser } from "./model";
import { IMessageTransferFormat, IUserData } from "./datastructures";
export declare class Utilities {
    static capitalize(string: string): string;
    static base64url(string: string): string;
    static urlencode(string: string): string;
    static dec2hex(dec: number): string;
    static parseJwt(token: string): any;
    static uniqueFilter(value: any, index: any, self: any[]): boolean;
    static parseLinks(text: string): string[];
    static buildMessage(user: IUserData, message: IMessageTransferFormat): IChatMessage | null;
    static createUserFromUserData(userData: IUserData, peerId: number): IUser;
    static userDataFromUser(user: IUser): IUserData;
    static encodeObjToUint8Array(data: object): Uint8Array;
    static decodeUint8ArrayToObject<T>(data: Uint8Array): T;
}
